# Interface PlaybackConfiguration

interface PlaybackConfiguration {
autoplay: boolean;
maxBufferingTime: number;
maxBufferingTimeInBackground: number;
overrideNative: undefined | boolean;
preload: "auto" | "metadata" | "none";
}

#####
Index

### Properties

autoplay
maxBufferingTime
maxBufferingTimeInBackground
overrideNative
preload

## Properties

### autoplay

autoplay: boolean

Whether or not the player should attempt to autoplay. If `true`, the player will do all it can to achieve successful autoplay, including muting the player if necessary. Defaults to `false`.

### maxBufferingTime

maxBufferingTime: number

The number of milliseconds the player should wait before triggering a visible timeout error on the player. Defaults to 45 seconds

### maxBufferingTimeInBackground

maxBufferingTimeInBackground: number

The same as maxBufferingTime, but applies only when the player is in the background. Defaults to 5 minutes.

### overrideNative

overrideNative: undefined | boolean

When overrideNative is true, if the platform supports Media Source Extensions videojs-http-streaming will take over HLS playback to provide a more consistent experience. When unset (undefined): for any safari browser OR any browser on iOS/iPadOS: overrideNative: false otherwise: overrideNative: true

Defaults to undefined.

### preload

preload: "auto" | "metadata" | "none"

Whether any metadata and/or media should be preloaded before playback. Values are the same as the HTMLMediaElement `preload` property. Defaults to `'auto'`